Open R-matrix (ORM)
============================

This an implementation of R-matrix theory as summarized by [Lane and Thomas][LT]. 
The emphasis of this implementation is on beta- and gamma decay experiments.

ORM provides the following capabilities:
 + A commandline interface
 + A library for performing R-matrix calculations
 + An open code structure that encourages extension
 + Fast routines for calculating the penetrability and shift function. See [this note][Approx].  
 + Accurate calculations of the penetrability and shift function using the Mitchel routines.
 + Implementation for gamma-decays to unbound states.
 + Extensive unit tests of all functionality 

Structure
--------------------------
The directory structure is

+ include/source contains the library code
+ test contains the unit tests of the library
+ bench contains benchmark code
+ runner contains the executable 

Installation
--------------------------
ORM depends on the following packages
 + CMake
 + GSL
 + readLine
 + Armadillo
 + ROOT
 + AUSAlib ([Install guide][AUSAguide])
 + log-ft ([Repo][log-ft])
 
Except for the last two packages, the remaining libraries should be available in your package manager.

When you have installed these package, execute:
```bash
mkdir build 
cd build
cmake <ORM-directory>
make 
```
This will compile the library and executable

[LT]: https://doi.org/10.1103/RevModPhys.30.257 "A. M. Lane and R. G. Thomas, Rev. Mod. Phys. __30__ 257 (1958)"
[Approx]: https://wiki.kern.phys.au.dk/interpolation.pdf "Jonas Refsgaard, Efficient and accurate approximation of R-matrix functions"
[AUSAguide]: https://git.kern.phys.au.dk/ausa/ausalib/wikis/Getting-AUSAlib "AUSAlib install guide"
[log-ft]: https://git.kern.phys.au.dk/Munken/log-ft "log-ft git repo"